# When bumping the Go version, don't forget to update the configuration of the
# CI jobs in openshift/release.
FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202109092011.p0.git.035c803.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202109092011.p0.git.035c803.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=035c803 OS_GIT_VERSION=4.7.0-202109092011.p0.git.035c803.assembly.stream-035c803 SOURCE_DATE_EPOCH=1627517918 SOURCE_GIT_COMMIT=035c8038f56cdcf0d402bea6671e81882e3ab8bd SOURCE_GIT_TAG=v0.1.0-1836-g035c8038 SOURCE_GIT_URL=https://github.com/openshift/cluster-monitoring-operator 
WORKDIR /go/src/github.com/openshift/cluster-monitoring-operator
COPY . .
ENV GOFLAGS="-mod=vendor"
RUN make operator-no-deps

FROM openshift/ose-base:v4.7.0.20210909.202007
ENV __doozer=update BUILD_RELEASE=202109092011.p0.git.035c803.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202109092011.p0.git.035c803.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=035c803 OS_GIT_VERSION=4.7.0-202109092011.p0.git.035c803.assembly.stream-035c803 SOURCE_DATE_EPOCH=1627517918 SOURCE_GIT_COMMIT=035c8038f56cdcf0d402bea6671e81882e3ab8bd SOURCE_GIT_TAG=v0.1.0-1836-g035c8038 SOURCE_GIT_URL=https://github.com/openshift/cluster-monitoring-operator 

COPY --from=builder /go/src/github.com/openshift/cluster-monitoring-operator/operator /usr/bin/
COPY manifests /manifests
COPY assets /assets
USER 1001
ENTRYPOINT ["/usr/bin/operator"]

LABEL \
        io.k8s.display-name="OpenShift cluster-monitoring-operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages the lifecycle of the Prometheus based cluster monitoring stack." \
        io.openshift.tags="openshift" \
        io.openshift.release.operator="true" \
        summary="This is a component of OpenShift and manages the lifecycle of the Prometheus based cluster monitoring stack." \
        maintainer="OpenShift Monitoring Team <team-monitoring@redhat.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift/ose-cluster-monitoring-operator" \
        com.redhat.component="cluster-monitoring-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202109092011.p0.git.035c803.assembly.stream" \
        io.openshift.build.commit.id="035c8038f56cdcf0d402bea6671e81882e3ab8bd" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-monitoring-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-monitoring-operator/commit/035c8038f56cdcf0d402bea6671e81882e3ab8bd" \
        version="v4.7.0"

